LVPN-ADD-HOST(1)

NAME

lvpn add-host adds a node to known nodes

SYNOPSIS

lvpn add-host [-hfu] local-node remote-node [remote-node2 ...]

DESCRIPTION

For a node to connect to another, the latter must “recognize” it by adding it's host file.

For instance, if the ponape node has a “ConnectTo = medieval” line in it's tinc.conf file, for medieval to recognize it, it must add ponape's host file in it's node dir.

The -u flag updates the already recognized nodes.

OPTIONS

-h  This message

-u  Update host files

-f  Replace if already exists

EXAMPLES

  Add haiti and noanoa to ponape

lvpn add-host ponape haiti noanoa

  Update nodes

lvpn add-host -u ponape

AUTHORS
Nicolás Reynolds <fauno@endefensadelsl.org>.